---

- name: ensure old screensavers are absent
  apt:
    pkg:
      - light-locker
    state: absent

- name: uninstall light-locker-settings
  file:
    path: "{{ item }}"
    state: absent
  with_items:
    - /usr/bin/light-locker-settings
    - /usr/share/applications/light-locker-settings.desktop
    - /usr/share/light-locker-settings
    - /usr/share/doc/light-locker-settings
    - /opt/light-locker-settings-1.5.3
    - /opt/light-locker-settings-1.5.3.tar.bz2

- name: install xscreensaver
  apt:
    pkg: xscreensaver

- name: xscreensaver default settings
  template:
    src: Xresources.xscreensaver.j2
    dest: /etc/X11/Xresources/xscreensaver

- name: gdmflexiserver dummy script
  copy:
    src: gdmflexiserver-fake.sh
    dest: /usr/local/bin/gdmflexiserver
    mode: 0755
